%define tvfontdir	%{_datadir}/fonts/tv-fonts

Summary: Bitmap fonts for xawtv.
Name: tv-fonts
Version: 1.1
Release: 5%{?dist}
URL: http://bytesex.org/xawtv/
Source0: http://bytesex.org/xawtv/%{name}-%{version}.tar.bz2
License: Freely distributable
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: %{_x_bindir}/bdftopcf
PreReq: %{_x_bindir}/xset
PreReq: %{_x_bindir}/mkfontdir
Prereq: /usr/sbin/chkfontpath
BuildArchitectures: noarch
Obsoletes: xawtv-%{name}

%description
This package includes some bitmaps fonts for xawtv.

%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{tvfontdir}
cp *.gz %{buildroot}%{tvfontdir}

%post
{
    umask 133
    %{_x_bindir}/mkfontdir %{tvfontdir}
    /usr/sbin/chkfontpath -q -a %{tvfontdir}:unscaled
} &> /dev/null || :

%postun
{
    if [ "$1" = "0" ]; then
        /usr/sbin/chkfontpath -q -r %{tvfontdir}:unscaled
    fi
} &> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{tvfontdir}

%changelog
* Wed Jun 11 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.

* Wed Mar 12 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build (split off from xawtv rpm).


